Introduction
============
KD Reports is a Qt tool that lets you easily create printable reports by
providing all of the necessary features for a variety of applications.
Reports can be created programmatically, using an easy to use C++ API, or they
can be data-driven, creating reports from XML or SQL data sources complete with
watermarks, headers and footers. Reports can be previewed manually, sent
directly to a printer, or saved as PDF files.

Additionally, using KDAB's [KD Chart](https://www.kdab.com/development-resources/qt-tools/kd-chart)
package together with KD Reports allows reports to be garnished with the myriad
of chart types supported by [KD Chart](https://www.kdab.com/development-resources/qt-tools/kd-chart).

KD Reports targets C++ programmers who use Qt in their applications.

For more information, see https://www.kdab.com/development-resources/qt-tools/kd-reports

Try KD Reports in your web browser! visit https://demos.kdab.com/wasm/kdreports

Using KD Reports
================
KD Reports requires Qt 5.9.0 or newer, and a compiler with C++11 support.
Qt6 support is added starting with KD Reports version 2.0, and requires
a compiler with C++17 support.

See [INSTALL.txt](INSTALL.txt) for installation instructions using CMake.

Learn more at our:

 * [online API reference](https://docs.kdab.com/kdreports)
 * [programmers manual with examples](docs/manual/kdreports.pdf)
 * [sorted example programs](examples/)

 The starting point for using KD Reports is the KDReports::Report class.

Contact
=======
* See our official home page: https://www.kdab.com/development-resources/qt-tools/kd-reports
* Visit us on GitHub: https://github.com/KDAB/KDReports
* Email info@kdab.com for questions about copyright, licensing or commercial support.

Stay up-to-date with KDAB product announcements:

* [KDAB Newsletter](https://news.kdab.com)
* [KDAB Blogs](https://www.kdab.com/category/blogs)
* [KDAB on Twitter](https://twitter.com/KDABQt)

Get Involved
============
KDAB will happily accept external contributions, but substantial contributions require
a signed [Copyright Assignment Agreement](docs/KDReports-CopyrightAssignmentForm.pdf).

Contact info@kdab.com for more information about the Copyright Assignment Agreement.

Please submit your contributions or issue reports from our GitHub space at
https://github.com/KDAB/KDReports

License
=======
The KD Reports Software is Copyright 2007-2022 Klarälvdalens Datakonsult AB (KDAB),
and is available under the terms of:

* [LGPL-2.1](LICENSES/LGPL-2.1-only.txt) or [LGPL-3.0](LICENSES/LGPL-3.0-only.txt)
* [GPL-2.0](LICENSES/GPL-2.0-only.txt) or [GPL-3.0](LICENSES/GPL-3.0-only.txt)
* the KDAB commercial license, provided that you buy a license.
  please contact info@kdab.com if you are interested in buying commercial licenses.

Commercial licensing terms are available in
[LicenseRef-KDAB-KDReports.txt](LICENSES/LicenseRef-KDAB-KDReports.txt),
[LicenseRef-KDAB-KDReports-US.txt](LICENSES/LicenseRef-KDAB-KDReports-US.txt).

See [README-commercial.txt](README-commercial.txt) for more details.

About KDAB
==========
KD Reports is supported and maintained by Klarälvdalens Datakonsult AB (KDAB).

The KDAB Group is the global No.1 software consultancy for Qt, C++ and
OpenGL applications across desktop, embedded and mobile platforms.

The KDAB Group provides consulting and mentoring for developing Qt applications
from scratch and in porting from all popular and legacy frameworks to Qt.
We continue to help develop parts of Qt and are one of the major contributors
to the Qt Project. We can give advanced or standard trainings anywhere
around the globe on Qt as well as C++, OpenGL, 3D and more.

Please visit https://www.kdab.com to meet the people who write code like this.


KD REPORTS and the KD REPORTS logo are registered trademarks of Klaralvdalens Datakonsult AB
in the European Union, the United States, and/or other countries.  Other product and
company names and logos may be trademarks or registered trademarks of their respective companies.
